# TdApi.ChatEventLinkedChatChanged (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatEventLinkedChatChanged

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventLinkedChatChanged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventLinkedChatChanged

Enclosing class:
  TdApi

public static final class TdApi.ChatEventLinkedChatChanged extends TdApi.ChatEventAction
The linked chat of a supergroup was changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`newLinkedChatId`
New supergroup linked chat identifier.
`long`
`oldLinkedChatId`
Previous supergroup linked chat identifier.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventLinkedChatChanged()`
The linked chat of a supergroup was changed.
`ChatEventLinkedChatChanged(long oldLinkedChatId, long newLinkedChatId)`
The linked chat of a supergroup was changed.
`ChatEventLinkedChatChanged(DataInput input)`
The linked chat of a supergroup was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldLinkedChatId

public long oldLinkedChatId
Previous supergroup linked chat identifier.

### newLinkedChatId

public long newLinkedChatId
New supergroup linked chat identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventLinkedChatChanged

public ChatEventLinkedChatChanged()
The linked chat of a supergroup was changed.

### ChatEventLinkedChatChanged

public ChatEventLinkedChatChanged(long oldLinkedChatId, long newLinkedChatId)
The linked chat of a supergroup was changed.

Parameters:
  `oldLinkedChatId` - long Previous supergroup linked chat identifier.
  `newLinkedChatId` - long New supergroup linked chat identifier.

### ChatEventLinkedChatChanged

public ChatEventLinkedChatChanged(DataInput input) throws IOException
The linked chat of a supergroup was changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`